add_library(rpiGpio gpio.cpp)

target_compile_options(rpiGpio PRIVATE ${C_FLAGS})
target_compile_definitions(rpiGpio PRIVATE ${C_DEFS})
target_include_directories(rpiGpio PRIVATE ${INTERFACES_DIR} ../Inc)
add_library(sub::gpio ALIAS rpiGpio)

add_library(rpiDelay delay.cpp)

target_compile_options(rpiDelay PRIVATE ${C_FLAGS})
target_compile_definitions(rpiDelay PRIVATE ${C_DEFS})
target_include_directories(rpiDelay PRIVATE ${INTERFACES_DIR} ../Inc)
add_library(sub::delay ALIAS rpiDelay)
